# CPLString Class Reference

Convenient string class based on std::string. More...

`#include <cpl_string.h>`

List of all members.

## Public Member Functions
CPLString & | FormatC (double dfValue, const char *pszFormat=0)
CPLString & | Trim ()
size_t | ifind (const std::string &str, size_t pos=0) const
size_t | ifind (const char *s, size_t pos=0) const
CPLString & | toupper (void)
CPLString & | tolower (void)

## Detailed Description

Convenient string class based on std::string.

## Member Function Documentation

CPLString & CPLString::FormatC | ( | double | dfValue,
|  | const char * | pszFormat = `0` |
| ) |  |  |

Format double in C locale.

The passed value is formatted using the C locale (period as decimal seperator) and appended to the target CPLString.

Parameters:

  | dfValue | the value to format.
  | pszFormat | the sprintf() style format to use or omit for default. Note that this format string should only include one substitution argument and it must be for a double (f or g).

Returns:
  a reference to the CPLString.

CPLString & CPLString::Trim | ( |  | ) |

Trim white space.

Trims white space off the let and right of the string. White space is any of a space, a tab, a newline ('
') or a carriage control ('').

Returns:
  a reference to the CPLString.

size_t CPLString::ifind | ( | const std::string & | str,
|  | size_t | pos = `0` |
| ) |  |  | const

Case insensitive find() alternative.

Parameters:

  | str | substring to find.
  | pos | offset in the string at which the search starts.

Returns:
  the position of substring in the string or std::string::npos if not found.

Since:
  GDAL 1.9.0

Referenced by CPLURLAddKVP(), and CPLURLGetValue().

size_t CPLString::ifind | ( | const char * | s,
|  | size_t | nPos = `0` |
| ) |  |  | const

Case insensitive find() alternative.

Parameters:

  | s | substring to find.
  | nPos | offset in the string at which the search starts.

Returns:
  the position of the substring in the string or std::string::npos if not found.

Since:
  GDAL 1.9.0

References tolower().

CPLString & CPLString::toupper | ( | void |  | ) |

Convert to upper case in place.

CPLString & CPLString::tolower | ( | void |  | ) |

Convert to lower case in place.

Referenced by ifind().

The documentation for this class was generated from the following files:

- cpl_string.h
- cplstring.cpp

Generated for GDAL by 1.5.6.